#
# spec file for package bzrtp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname	libbzrtp0
Name:           bzrtp
Version:        1.0.2
Release:        4.3
Summary:        ZRTP keys exchange protocol implementation
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://linphone.org/
Source0:        http://download.savannah.gnu.org/releases/linphone/%{name}/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  gcc
BuildRequires:  mbedtls-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libxml-2.0)

%description
bzrtp is a FOSS implementation of ZRTP keys exchange protocol.
The library written in C 89, is fully portable, and can be executed
on many platforms including x86 and ARM processors.

%package -n %{lname}
Summary:        ZRTP keys exchange protocol implementation
Group:          System/Libraries

%description -n %{lname}
bzrtp is a FOSS implementation of ZRTP keys exchange protocol.
The library written in C 89, is fully portable, and can be executed
on many platforms including x86 and ARM processors.

%package devel
Summary:        Development files of libbzrtp
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
The libbzrtp development package includes the header files,
libraries, development tools necessary for compiling and linking
application which will use libbzrtp.

%prep
%setup -q

%build
%configure \
  --disable-strict
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Mon Jul 20 2015 mpluskal@suse.com
- Update to 1.0.2
  * bug fixes
* Mon Mar 23 2015 sor.alexei@meowr.ru
- Initial package.
